/*****************************************************************************
 *	aisa37w.h
 *
 *	aISA-P37
 *
 *	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
 *
 *	Date 1998/04/20
 *
 *****************************************************************************/
#ifndef __AISA37__
#define __AISA37__

#include "aisa37.h"

#ifdef __cplusplus
extern "C"{
#endif

#define AISA37_DLL_NAME	  _T("aisa37.dll")	// DLL
#define AISA37_MAX_PORT		 2				// aISA-P37̃|[g
#define AISA37_ERR_WRAPDLL ((DWORD)-1)		// bp[֐G[

// DLL [h
BOOL Aisa37wDllOpen ( void );

// DLL A[h
BOOL Aisa37wDllClose ( void );

// aISA-P37 DLL,Driver̃o[Wԍ擾
BOOL Aisa37wGetVersion ( PDWORD pdwDllVer, PDWORD pdwDrvVer );

// CӂaISA-P37̎gp錾
BOOL Aisa37wCreate(PWORD pwLogSlot);

// CӂaISA-P37̎gpJ
BOOL Aisa37wClose ( WORD wLogSlot );

// \[X擾
BOOL Aisa37wGetResource ( WORD wLogSlot, PAISA37R pResInfo );

// Cӂ̃|[gf[^
BOOL Aisa37wInPort ( WORD wLogSlot, DWORD dwPort, PBYTE pbInValue );

// Cӂ̃|[gփf[^o
BOOL Aisa37wOutPort ( WORD wLogSlot, DWORD dwPort, BYTE bOutValue );

// aISA-P37̃G[R[h
DWORD Aisa37wGetLastError ( WORD wLogSlot );

#ifdef __cplusplus
}
#endif
#endif // __AISA37__
